CMCEPrivateKeyParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.cmce

## Class CMCEPrivateKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.cmce.CMCEKeyParameters
    - - org.bouncycastle.pqc.crypto.cmce.CMCEPrivateKeyParameters

- All Implemented Interfaces:
    CipherParameters

  Deprecated.
  the standardised Classic McEliece KEM (ISO/IEC 18033-2:2006/Amd 2:2026) is now provided under org.bouncycastle.crypto and org.bouncycastle.jcajce (see org.bouncycastle.crypto.params.CMCEParameters and org.bouncycastle.jcajce.spec.CMCEParameterSpec). This is the legacy NIST round 3 (non-pc, incl. mceliece348864) implementation, retained for backwards compatibility.

      @Deprecated
      public class CMCEPrivateKeyParameters
      extends CMCEKeyParameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMCEPrivateKeyParameters(CMCEParameters params, byte[] privateKey)` Deprecated.
    `CMCEPrivateKeyParameters(CMCEParameters params, byte[] delta, byte[] C, byte[] g, byte[] alpha, byte[] s)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getAlpha()` Deprecated.
    `byte[]` | `getC()` Deprecated.
    `byte[]` | `getDelta()` Deprecated.
    `byte[]` | `getEncoded()` Deprecated.
    `byte[]` | `getG()` Deprecated.
    `byte[]` | `getPrivateKey()` Deprecated.
    `byte[]` | `getS()` Deprecated.
    `byte[]` | `reconstructPublicKey()` Deprecated.

    - ### Methods inherited from class org.bouncycastle.pqc.crypto.cmce.CMCEKeyParameters

      `getParameters`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CMCEPrivateKeyParameters

          public CMCEPrivateKeyParameters(CMCEParameters params,
                                          byte[] privateKey)

      Deprecated.

    - #### CMCEPrivateKeyParameters

          public CMCEPrivateKeyParameters(CMCEParameters params,
                                          byte[] delta,
                                          byte[] C,
                                          byte[] g,
                                          byte[] alpha,
                                          byte[] s)

      Deprecated.

  - ### Method Detail

    - #### getPrivateKey

          public byte[] getPrivateKey()

      Deprecated.

    - #### reconstructPublicKey

          public byte[] reconstructPublicKey()

      Deprecated.

    - #### getEncoded

          public byte[] getEncoded()

      Deprecated.

    - #### getDelta

          public byte[] getDelta()

      Deprecated.

    - #### getC

          public byte[] getC()

      Deprecated.

    - #### getG

          public byte[] getG()

      Deprecated.

    - #### getAlpha

          public byte[] getAlpha()

      Deprecated.

    - #### getS

          public byte[] getS()

      Deprecated.